name: marketing-parser

services:
  parser-service:
    build:
      context: ..
      dockerfile: Dockerfile
    image: ${PARSER_IMAGE:-marketing-parser-app:latest}
    container_name: ${PARSER_CONTAINER_NAME:-konturai-parser-app}
    restart: unless-stopped
    env_file:
      - ../.env.production
    extra_hosts:
      - host.docker.internal:host-gateway
    networks:
      common_network:
        aliases:
          - parser-service

networks:
  common_network:
    external: true
